Search repositories
GET /api/v1/git/repositories/search
Get or search repositories. If query is provided, searches repositories across the git provider. If query is not provided, returns a paginated list of the authenticated user's repositories.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
provider | query | ProviderType | yes | — |
query | query | `string | null` | no |
installation_id | query | `string | null` | no |
page_id | query | `string | null` | no |
limit | query | integer | no | — |
sort_order | query | `SortOrder | null` | no |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
items | Repository[] | yes | — |
next_page_id | `string | null` | no |
Operation ID: search_repositories_api_v1_git_repositories_search_get